Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/ChangeLog	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -1,2 +1,23 @@
+2004-03-05	Joel Sherrill <joel@OARcorp.com>
+
+	* libblock/src/bdbuf.c, libblock/src/ramdisk.c,
+	libcsupport/src/newlibc.c, libcsupport/src/sync.c,
+	libmisc/cpuuse/cpuuse.c, libmisc/monitor/mon-symbols.c,
+	libmisc/shell/cmds.c, libmisc/shell/shell.c,
+	libnetworking/kern/kern_sysctl.c, libnetworking/lib/ftpfs.c,
+	libnetworking/lib/tftpDriver.c, libnetworking/libc/gethostbydns.c,
+	libnetworking/libc/gethostbyht.c, libnetworking/libc/gethostnamadr.c,
+	libnetworking/libc/getnetbyht.c, libnetworking/libc/getnetnamadr.c,
+	libnetworking/libc/inet_addr.c, libnetworking/libc/linkaddr.c,
+	libnetworking/libc/map_v4v6.c, libnetworking/libc/ns_print.c,
+	libnetworking/libc/ns_ttl.c, libnetworking/libc/nsap_addr.c,
+	libnetworking/libc/rcmd.c, libnetworking/libc/res_debug.c,
+	libnetworking/libc/res_mkupdate.c, libnetworking/libc/res_query.c,
+	libnetworking/libc/res_send.c, libnetworking/libc/res_update.c,
+	libnetworking/net/radix.c, libnetworking/rtems/mkrootfs.c,
+	librpc/src/rpc/clnt_perror.c, librpc/src/rpc/rtems_rpc.c,
+	librpc/src/rpc/svc.c, sapi/include/confdefs.h,
+	score/macros/rtems/score/chain.inl, score/src/objectidtoname.c:
+
 2004-02-26	Thomas Rauscher <trauscher@loytec.com.
 
Index: cpukit/libblock/src/bdbuf.c
===================================================================
--- cpukit/libblock/src/bdbuf.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libblock/src/bdbuf.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -229,5 +229,6 @@
 
     bdbuf_buffer *p = *root;
-    bdbuf_buffer *q, *p1, *p2;
+    bdbuf_buffer *q = NULL;
+    bdbuf_buffer *p1, *p2;
     bdbuf_buffer *buf_stack[AVL_MAX_HEIGHT];
     bdbuf_buffer **buf_prev = buf_stack;
Index: cpukit/libblock/src/ramdisk.c
===================================================================
--- cpukit/libblock/src/ramdisk.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libblock/src/ramdisk.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -13,4 +13,10 @@
 #include <rtems.h>
 #include <rtems/libio.h>
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+
 #include <errno.h>
 #include <stdlib.h>
Index: cpukit/libcsupport/src/newlibc.c
===================================================================
--- cpukit/libcsupport/src/newlibc.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libcsupport/src/newlibc.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -23,4 +23,10 @@
 #if defined(RTEMS_NEWLIB)
 #include <rtems/libcsupport.h>
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+
 #include <stdlib.h>             /* for free() */
 #include <string.h>             /* for memset() */
@@ -127,24 +133,24 @@
  
 #ifdef __GNUC__
-	  /* GCC extension: structure constants */
-	  _REENT_INIT_PTR((ptr));
+      /* GCC extension: structure constants */
+      _REENT_INIT_PTR((ptr));
 #else
-	  /* 
-	   *  WARNING: THIS IS VERY DEPENDENT ON NEWLIB!!! 
-	   *           Last visual check was against newlib 1.8.2 but last known
-	   *           use was against 1.7.0.  This is basically an exansion of
-	   *           REENT_INIT() in <sys/reent.h>.
-	   */
-	  memset(ptr, 0, sizeof(*ptr));
-	  ptr->_stdin = &ptr->__sf[0];
-	  ptr->_stdout = &ptr->__sf[1];
-	  ptr->_stderr = &ptr->__sf[2];
-	  ptr->_current_locale = "C";
-	  ptr->_new._reent._rand_next = 1;
-#endif
-
-	  creating_task->libc_reent = ptr;
-	  return TRUE;
-  }	  
+      /* 
+       *  WARNING: THIS IS VERY DEPENDENT ON NEWLIB!!! 
+       *           Last visual check was against newlib 1.8.2 but last known
+       *           use was against 1.7.0.  This is basically an exansion of
+       *           REENT_INIT() in <sys/reent.h>.
+       */
+      memset(ptr, 0, sizeof(*ptr));
+      ptr->_stdin = &ptr->__sf[0];
+      ptr->_stdout = &ptr->__sf[1];
+      ptr->_stderr = &ptr->__sf[2];
+      ptr->_current_locale = "C";
+      ptr->_new._reent._rand_next = 1;
+#endif
+
+      creating_task->libc_reent = ptr;
+      return TRUE;
+  }
   else
       return FALSE;
@@ -236,5 +242,4 @@
   }
 
-  /* if (ptr) */
   if (ptr && ptr != &libc_global_reent) {
 /*
@@ -249,5 +254,5 @@
     free(ptr);
 #else
-	_Workspace_Free(ptr);
+    _Workspace_Free(ptr);
 #endif
   }
Index: cpukit/libcsupport/src/sync.c
===================================================================
--- cpukit/libcsupport/src/sync.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libcsupport/src/sync.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -22,4 +22,11 @@
 #endif
 
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+int fdatasync(int);        /* still not always prototyped */
+
+
 #include <unistd.h>
 #include <stdio.h>
@@ -35,4 +42,5 @@
 /* XXX check standards -- Linux version appears to be void */
 void _fwalk(struct _reent *, void *);
+
 
 static void sync_wrapper(FILE *f)
@@ -61,5 +69,21 @@
 int sync(void)
 {
+  extern struct _reent libc_global_reent;
+
+  /*
+   *  Walk the one used initially by RTEMS.
+   */
+  _fwalk(&libc_global_reent, sync_wrapper);
+
+  /*
+   *  XXX Do we walk the one used globally by newlib?
+   *  XXX Do we need the RTEMS global one?
+   */
+
+  /*
+   *  Now walk all the per-thread reentrancy structures.
+   */
   rtems_iterate_over_all_threads(sync_per_thread);
+
   return 0;
 }
Index: cpukit/libmisc/cpuuse/cpuuse.c
===================================================================
--- cpukit/libmisc/cpuuse/cpuuse.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libmisc/cpuuse/cpuuse.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -102,5 +102,6 @@
         if ( !isprint(name[3]) ) name[3] = '*';
 
-#if defined(unix) || ( CPU_HARDWARE_FP == TRUE )
+#if defined(unix) || \
+  ( (CPU_HARDWARE_FP == TRUE) && !defined(__mips_single_float) )
         printf( "0x%08x   %4s    %8d     %5.3f\n",
           the_thread->Object.id,
Index: cpukit/libmisc/monitor/mon-symbols.c
===================================================================
--- cpukit/libmisc/monitor/mon-symbols.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libmisc/monitor/mon-symbols.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -16,11 +16,15 @@
 #endif
 
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+
 #include <string.h>
+#include <stdio.h>
+#include <stdlib.h>
 
 #define __RTEMS_VIOLATE_KERNEL_VISIBILITY__
 #include <rtems.h>
-#include <stdio.h>
-#include <stdlib.h>
-
 #include <rtems/monitor.h>
 #include "symbols.h"
Index: cpukit/libmisc/shell/cmds.c
===================================================================
--- cpukit/libmisc/shell/cmds.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libmisc/shell/cmds.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -27,4 +27,9 @@
 #include "config.h"
 #endif
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <stdio.h>
@@ -448,5 +453,5 @@
    umask(msk);
    msk=umask(0);
-   printf("0%o\n",msk);
+   printf("0%o\n", (unsigned int) msk);
    umask(msk);
    return 0;
Index: cpukit/libmisc/shell/shell.c
===================================================================
--- cpukit/libmisc/shell/shell.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libmisc/shell/shell.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -16,4 +16,9 @@
 #include "config.h"
 #endif
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <stdio.h>
Index: cpukit/libnetworking/kern/kern_sysctl.c
===================================================================
--- cpukit/libnetworking/kern/kern_sysctl.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/kern/kern_sysctl.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -61,4 +61,9 @@
 #include <sys/buf.h>
 
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+
 #include <stdio.h>                                /* for snprintf() */
 size_t   strlcpy(char *, const char *, size_t);
Index: cpukit/libnetworking/lib/ftpfs.c
===================================================================
--- cpukit/libnetworking/lib/ftpfs.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/lib/ftpfs.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -637,6 +637,6 @@
       hent = gethostbyname(hostname);
       if (hent != NULL) {
-	bcopy(hent->h_addr, 
-	      (char *)(&(fsp->farCtrlAddress.sin_addr)), 
+	memcpy((char *)(&(fsp->farCtrlAddress.sin_addr)), 
+  	      hent->h_addr, 
 	      sizeof(fsp->farCtrlAddress.sin_addr));
       }
Index: cpukit/libnetworking/lib/tftpDriver.c
===================================================================
--- cpukit/libnetworking/lib/tftpDriver.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/lib/tftpDriver.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -15,4 +15,9 @@
  *
  */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <stdio.h>
Index: cpukit/libnetworking/libc/gethostbydns.c
===================================================================
--- cpukit/libnetworking/libc/gethostbydns.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/gethostbydns.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -67,4 +67,9 @@
 #include <arpa/nameser.h>
 
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+
 #include <stdio.h>
 #include <unistd.h>
Index: cpukit/libnetworking/libc/gethostbyht.c
===================================================================
--- cpukit/libnetworking/libc/gethostbyht.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/gethostbyht.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -56,4 +56,9 @@
 static char rcsid[] = "$Id$";
 #endif /* LIBC_SCCS and not lint */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <sys/param.h>
Index: cpukit/libnetworking/libc/gethostnamadr.c
===================================================================
--- cpukit/libnetworking/libc/gethostnamadr.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/gethostnamadr.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -29,4 +29,9 @@
 #endif /* LIBC_SCCS and not lint */
 
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+
 #include <sys/param.h>
 #include <sys/socket.h>
Index: cpukit/libnetworking/libc/getnetbyht.c
===================================================================
--- cpukit/libnetworking/libc/getnetbyht.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/getnetbyht.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -47,4 +47,9 @@
 static chat rcsid[] = "$Id$";
 #endif /* LIBC_SCCS and not lint */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <sys/types.h>
Index: cpukit/libnetworking/libc/getnetnamadr.c
===================================================================
--- cpukit/libnetworking/libc/getnetnamadr.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/getnetnamadr.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -27,4 +27,9 @@
 static char rcsid[] = "$Id$";
 #endif /* LIBC_SCCS and not lint */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <sys/param.h>
Index: cpukit/libnetworking/libc/inet_addr.c
===================================================================
--- cpukit/libnetworking/libc/inet_addr.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/inet_addr.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -58,4 +58,9 @@
 static char rcsid[] = "$Id$";
 #endif /* LIBC_SCCS and not lint */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <sys/param.h>
Index: cpukit/libnetworking/libc/linkaddr.c
===================================================================
--- cpukit/libnetworking/libc/linkaddr.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/linkaddr.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -37,4 +37,9 @@
 static char sccsid[] = "@(#)linkaddr.c	8.1 (Berkeley) 6/4/93";
 #endif /* LIBC_SCCS and not lint */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <sys/types.h>
Index: cpukit/libnetworking/libc/map_v4v6.c
===================================================================
--- cpukit/libnetworking/libc/map_v4v6.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/map_v4v6.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -66,4 +66,9 @@
 #include <arpa/nameser.h>
 
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+
 #include <stdio.h>
 #include <string.h>
Index: cpukit/libnetworking/libc/ns_print.c
===================================================================
--- cpukit/libnetworking/libc/ns_print.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/ns_print.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -30,4 +30,9 @@
 #include <arpa/nameser.h>
 #include <arpa/inet.h>
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <assert.h>
Index: cpukit/libnetworking/libc/ns_ttl.c
===================================================================
--- cpukit/libnetworking/libc/ns_ttl.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/ns_ttl.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -25,4 +25,9 @@
 
 #include <arpa/nameser.h>
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <ctype.h>
Index: cpukit/libnetworking/libc/nsap_addr.c
===================================================================
--- cpukit/libnetworking/libc/nsap_addr.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/nsap_addr.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -19,4 +19,9 @@
 static char rcsid[] = "$Id$";
 #endif /* LIBC_SCCS and not lint */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <sys/types.h>
Index: cpukit/libnetworking/libc/rcmd.c
===================================================================
--- cpukit/libnetworking/libc/rcmd.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/rcmd.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -45,4 +45,9 @@
 #include <arpa/inet.h>
 
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+
 #include <signal.h>
 #include <fcntl.h>
Index: cpukit/libnetworking/libc/res_debug.c
===================================================================
--- cpukit/libnetworking/libc/res_debug.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/res_debug.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -98,4 +98,9 @@
 static char rcsid[] = "$Id$";
 #endif /* LIBC_SCCS and not lint */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <sys/types.h>
Index: cpukit/libnetworking/libc/res_mkupdate.c
===================================================================
--- cpukit/libnetworking/libc/res_mkupdate.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/res_mkupdate.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -26,4 +26,9 @@
 #endif /* not lint */
 #endif /* not rtems */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <sys/types.h>
Index: cpukit/libnetworking/libc/res_query.c
===================================================================
--- cpukit/libnetworking/libc/res_query.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/res_query.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -75,4 +75,9 @@
 #endif /* LIBC_SCCS and not lint */
 
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+
 #include <sys/types.h>
 #include <sys/param.h>
Index: cpukit/libnetworking/libc/res_send.c
===================================================================
--- cpukit/libnetworking/libc/res_send.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/res_send.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -79,4 +79,9 @@
  */
 
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+
 #include <sys/types.h>
 #include <sys/param.h>
Index: cpukit/libnetworking/libc/res_update.c
===================================================================
--- cpukit/libnetworking/libc/res_update.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/libc/res_update.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -26,4 +26,9 @@
  * <viraj_bais@ccm.fm.intel.com>
  */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <sys/param.h>
Index: cpukit/libnetworking/net/radix.c
===================================================================
--- cpukit/libnetworking/net/radix.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/net/radix.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -1027,5 +1027,5 @@
 	while (cp < cplim)
 		*cp++ = -1;
-	if (rn_inithead((void **)&mask_rnhead, 0) == 0)
+	if (rn_inithead((void *)&mask_rnhead, 0) == 0)
 		panic("rn_init 2");
 }
Index: cpukit/libnetworking/rtems/mkrootfs.c
===================================================================
--- cpukit/libnetworking/rtems/mkrootfs.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/libnetworking/rtems/mkrootfs.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -25,4 +25,9 @@
   
  */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <errno.h>
Index: cpukit/librpc/src/rpc/clnt_perror.c
===================================================================
--- cpukit/librpc/src/rpc/clnt_perror.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/librpc/src/rpc/clnt_perror.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -40,4 +40,9 @@
  *
  */
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
+
 #include <stdio.h>
 #include <stdlib.h>
Index: cpukit/librpc/src/rpc/rtems_rpc.c
===================================================================
--- cpukit/librpc/src/rpc/rtems_rpc.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/librpc/src/rpc/rtems_rpc.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -1,4 +1,6 @@
 /*
  * RTEMS multi-tasking support
+ *
+ * $Id$
  */
 
@@ -45,5 +47,6 @@
 		 *	- Free other allocated memory (e.g. clnt_perror_buf)
 		 */
-		sc = rtems_task_variable_add (RTEMS_SELF, &rtems_rpc_task_variables, NULL);
+		sc = rtems_task_variable_add (
+			RTEMS_SELF, (void *)&rtems_rpc_task_variables, NULL);
 		if (sc != RTEMS_SUCCESSFUL) {
 			free (tvp);
Index: cpukit/librpc/src/rpc/svc.c
===================================================================
--- cpukit/librpc/src/rpc/svc.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/librpc/src/rpc/svc.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -43,4 +43,9 @@
  * Copyright (C) 1984, Sun Microsystems, Inc.
  */
+
+/* Since we compile with strict ANSI we need to undef it to get
+ * prototypes for extensions
+ */
+#undef __STRICT_ANSI__
 
 #include <string.h>
Index: cpukit/sapi/include/confdefs.h
===================================================================
--- cpukit/sapi/include/confdefs.h	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/sapi/include/confdefs.h	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -45,4 +45,5 @@
  */
 #include <rtems/score/cpuopts.h>
+#include <rtems/score/apimutex.h>
 
 extern rtems_initialization_tasks_table Initialization_tasks[];
@@ -473,4 +474,5 @@
 #include <sys/types.h>
 #include <signal.h>
+#include <limits.h>
 #include <mqueue.h>
 #include <rtems/posix/cond.h>
@@ -563,5 +565,6 @@
 #define CONFIGURE_MEMORY_FOR_POSIX_MUTEXES(_mutexes) \
   ((_mutexes) * \
-   ( sizeof(POSIX_Mutex_Control) + CONFIGURE_OBJECT_TABLE_STUFF ) )
+   ( sizeof(POSIX_Mutex_Control) + CONFIGURE_OBJECT_TABLE_STUFF + \
+     NAME_MAX ) )
 
 #define CONFIGURE_MEMORY_FOR_POSIX_CONDITION_VARIABLES(_condition_variables) \
@@ -584,9 +587,12 @@
 #define CONFIGURE_MEMORY_FOR_POSIX_MESSAGE_QUEUES(_message_queues) \
   ((_message_queues) * \
-   ( sizeof( POSIX_Message_queue_Control) + CONFIGURE_OBJECT_TABLE_STUFF ) )
+   ( sizeof( POSIX_Message_queue_Control) + \
+    CONFIGURE_OBJECT_TABLE_STUFF + \
+    NAME_MAX ) )
 #define CONFIGURE_MEMORY_FOR_POSIX_SEMAPHORES(_semaphores) \
   ((_semaphores) * \
-   ( sizeof( POSIX_Semaphore_Control) + CONFIGURE_OBJECT_TABLE_STUFF ) )
-  
+   ( sizeof( POSIX_Semaphore_Control) + \
+    CONFIGURE_OBJECT_TABLE_STUFF + \
+    NAME_MAX ) )
 
 #define CONFIGURE_MEMORY_FOR_POSIX \
@@ -806,4 +812,12 @@
   ( sizeof(Objects_Control *) + sizeof(rtems_name *) + sizeof(rtems_name) )
 
+#if defined(RTEMS_NEWLIB)
+#include <reent.h>
+
+#define CONFIGURE_MEMORY_PER_TASK_FOR_LIBC_REENTRANCY sizeof(struct _reent)
+#else
+#define CONFIGURE_MEMORY_PER_TASK_FOR_LIBC_REENTRANCY 0
+#endif
+
 #define CONFIGURE_MEMORY_FOR_TASKS(_tasks) \
   (((_tasks) + 1 ) * \
@@ -812,4 +826,5 @@
       CONFIGURE_MEMORY_PER_TASK_FOR_POSIX_API + \
       CONFIGURE_MEMORY_PER_TASK_FOR_ITRON_API + \
+      CONFIGURE_MEMORY_PER_TASK_FOR_LIBC_REENTRANCY + \
       CONFIGURE_OBJECT_TABLE_STUFF)) \
   )
@@ -881,9 +896,15 @@
 #endif
 
+#define CONFIGURE_API_MUTEX_MEMORY \
+  ( (1) * \
+    ( sizeof(API_Mutex_Control) + CONFIGURE_OBJECT_TABLE_STUFF ) \
+  ) 
+
 #define CONFIGURE_MEMORY_FOR_SYSTEM_OVERHEAD \
   ( CONFIGURE_MEMORY_FOR_TASKS(1) +    /* IDLE */ \
     (256 * 12) +                       /* Ready chains */ \
     256        +                       /* name/ptr table overhead */ \
-    CONFIGURE_INTERRUPT_STACK_MEMORY   /* interrupt stack */ \
+    CONFIGURE_INTERRUPT_STACK_MEMORY + /* interrupt stack */ \
+    CONFIGURE_API_MUTEX_MEMORY         /* allocation mutex */ \
   )
 
Index: cpukit/score/macros/rtems/score/chain.inl
===================================================================
--- cpukit/score/macros/rtems/score/chain.inl	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/score/macros/rtems/score/chain.inl	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -47,5 +47,5 @@
 
 #define _Chain_Head( _the_chain ) \
-   ((Chain_Node *) (_the_chain))
+   ((Chain_Node *) ((void *)(_the_chain)))
 
 /*PAGE
@@ -55,5 +55,5 @@
 
 #define _Chain_Tail( _the_chain ) \
-   ((Chain_Node *) &(_the_chain)->permanent_null)
+   ((Chain_Node *) ((void *)&(_the_chain)->permanent_null))
 
 /*PAGE
Index: cpukit/score/src/objectidtoname.c
===================================================================
--- cpukit/score/src/objectidtoname.c	(revision f4fe0e9a3cc39591879d1a3c5b5c9bb72c091af7)
+++ cpukit/score/src/objectidtoname.c	(revision b2b143f402b30c7bbe4ee98c58221b0cc78a1e9e)
@@ -41,4 +41,5 @@
   Objects_Information *information;
   Objects_Control     *the_object = (Objects_Control *) 0;
+  Objects_Locations    ignored_location;
  
   if ( !name )
@@ -58,5 +59,5 @@
     return OBJECTS_INVALID_ID;
 
-  the_object = _Objects_Get( information, id, OBJECTS_SEARCH_LOCAL_NODE );
+  the_object = _Objects_Get( information, id, &ignored_location  );
   if (!the_object)
     return OBJECTS_INVALID_ID;
